data:extend(
{
	{
		type = "technology",
		name = "hyperloop-tech",
		icon = "__base__/graphics/technology/railway.png",
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "hyperloop-locomotive-recipe"
		  },
		  {
			type = "unlock-recipe",
			recipe = "hyperloop-straight-rail-recipe"
		  },
		  {
			type = "unlock-recipe",
			recipe = "hyperloop-curved-rail-recipe"
		  },
		  {
			type = "unlock-recipe",
			recipe = "hyperloop-cargo-wagon-recipe"
		  }
		},
		prerequisites = {"railway"},
		unit =
		{
		  count = 500,
		  ingredients =
		  {
			{"science-pack-1", 4},
			{"science-pack-2", 3},
			{"science-pack-3", 2},
			{"alien-science-pack", 1},
		  },
		  time = 60
		},
		order = "c-g-a",
	}
})